From be3394a69b47b95f250f0618774826d98b863abc Mon Sep 17 00:00:00 2001
From: Brijesh Jadav <brijesh.jadav@ti.com>
Date: Wed, 9 Jun 2021 21:46:36 +0530
Subject: [PATCH 1/1] Fixed for PDK-9873: Incorrect condition check in starting
 instance

Signed-off-by: Brijesh Jadav <brijesh.jadav@ti.com>
---
 packages/ti/drv/csirx/src/csirx_drv.c | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

diff --git a/packages/ti/drv/csirx/src/csirx_drv.c b/packages/ti/drv/csirx/src/csirx_drv.c
index ac7e97d..dd27afb 100755
--- a/packages/ti/drv/csirx/src/csirx_drv.c
+++ b/packages/ti/drv/csirx/src/csirx_drv.c
@@ -728,11 +728,11 @@ int32_t CsirxDrv_dequeue(Fdrv_Handle handle,
                             GT_assert(CsirxTrace, (qObj != NULL));
                             if (qObj != NULL)
                             {
-								GT_assert(CsirxTrace,
-									(chObj->chId == qObj->chObj->chId));
-								/* Check returned descriptor pointer */
-								GT_assert(CsirxTrace,
-										(pDesc == ((uint64_t) qObj->trpd)));
+                                GT_assert(CsirxTrace,
+                                    (chObj->chId == qObj->chObj->chId));
+                                /* Check returned descriptor pointer */
+                                GT_assert(CsirxTrace,
+                                        (pDesc == ((uint64_t) qObj->trpd)));
                                 if (qObj->type != CSIRX_DRV_Q_OBJ_TYPE_FD)
                                 {
                                     GT_assert(CsirxTrace, (qObj->frm != NULL));
@@ -888,7 +888,7 @@ int32_t CsirxDrv_control(Fdrv_Handle handle,
                             "UNSUPPORTED_CMD: IOCTL not supported\r\n");
                 retVal = FVID2_EUNSUPPORTED_CMD;
             }
-			break;
+            break;
         }
     }
 
@@ -1342,7 +1342,7 @@ static int32_t CsirxDrv_startIoctl(CsirxDrv_VirtContext *virtContext)
     }
     if (retVal == FVID2_SOK)
     {
-        if (gCsirxCommonObj.numVirtContUsed[instObj->drvInstId] == 1U)
+        if (gCsirxCommonObj.numVirtContUsed[instObj->drvInstId] >= 1U)
         {
             /* start streams */
             /* Stop streams only if this is first active Virtual context */
-- 
2.17.1

